org.apache.ignite.internal.util.typedef

## Class PX2<T1,T2>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.IgnitePredicate2X<T1,T2>
  - - org.apache.ignite.internal.util.typedef.PX2<T1,T2>

Type Parameters:
  `T1` - Type of the first free variable, i.e. the element the closure is called on.
  `T2` - Type of the second free variable, i.e. the element the closure is called on.

All Implemented Interfaces:
  Serializable, IgniteBiPredicate<T1,T2>

    public abstract class PX2<T1,T2>
    extends IgnitePredicate2X<T1,T2>

Defines `alias` for `IgnitePredicate2X` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `IgnitePredicate2X`.

See Also:
  `GridFunc`, `IgnitePredicate2X`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PX2()`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.lang.IgnitePredicate2X

`apply, applyx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PX2

    public PX2()

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018